ConvertToSheetmetalBuilder Class

class NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilder

Bases: NXOpen.Features.SheetMetal.SheetmetalBaseBuilder

This is the feature builder for the convert to sheetmetal feature.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateConvertToSheetmetalFeatureBuilder()

New in version NX4.0.0.

Properties

Property Description
AdditionalFacesToConvert Returns the additional faces to convert
BaseFace Returns or sets the base face from which the thickness of the part is determined.
BendReliefDepth Returns the bend relief depth.
BendReliefType Returns or sets the bend relief type.
BendReliefWidth Returns the bend relief width.
CornerList Returns the corner list
LocalBaseFace Returns or sets the base face of local convert from which the thickness of the part is determined.
LocalRegionFaces Returns the faces for local convert
MaintainZeroBendRadius Returns or sets the option for Maintain zero bend radius.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
RipSection Returns or sets the section containing curves that need to be ripped while converting to sheetmetal.
Sketch Returns or sets the internal sketch (used to specify rip curves), if it exists.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateConvertInputListItem Create a corner list item.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetApplicationContext Get the application context.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
GetRipEdges Gets the array of edges selected for ripping while converting to sheetmetal.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetApplicationContext Set the application context.
SetBendReliefDepth  
SetBendReliefWidth  
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetRipEdges Sets the array of edges that need to be ripped while converting to sheetmetal.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.
ValidateBuilderData Verify that the builder data is valid for feature creation.

Enumerations

ConvertToSheetmetalBuilderBendReliefTypeOptions Enumeration This enum represents the bend relief type.

Property Detail

AdditionalFacesToConvert

ConvertToSheetmetalBuilder.AdditionalFacesToConvert

Returns the additional faces to convert

-------------------------------------

Getter Method

Signature AdditionalFacesToConvert

Returns:
Return type:NXOpen.ScCollector

New in version NX10.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

BaseFace

ConvertToSheetmetalBuilder.BaseFace

Returns or sets the base face from which the thickness of the part is determined.

-------------------------------------

Getter Method

Signature BaseFace

Returns:
Return type:NXOpen.Face

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

-------------------------------------

Setter Method

Signature BaseFace

Parameters:baseFace (NXOpen.Face) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

BendReliefDepth

ConvertToSheetmetalBuilder.BendReliefDepth

Returns the bend relief depth.

-------------------------------------

Getter Method

Signature BendReliefDepth

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

BendReliefType

ConvertToSheetmetalBuilder.BendReliefType

Returns or sets the bend relief type.

-------------------------------------

Getter Method

Signature BendReliefType

Returns:
Return type:NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilderBendReliefTypeOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

-------------------------------------

Setter Method

Signature BendReliefType

Parameters:bendReliefType (NXOpen.Features.SheetMetal.ConvertToSheetmetalBuilderBendReliefTypeOptions) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

BendReliefWidth

ConvertToSheetmetalBuilder.BendReliefWidth

Returns the bend relief width.

-------------------------------------

Getter Method

Signature BendReliefWidth

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

CornerList

ConvertToSheetmetalBuilder.CornerList

Returns the corner list

-------------------------------------

Getter Method

Signature CornerList

Returns:
Return type:NXOpen.Features.SheetMetal.ConvertInputListItemBuilderList

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

LocalBaseFace

ConvertToSheetmetalBuilder.LocalBaseFace

Returns or sets the base face of local convert from which the thickness of the part is determined.

-------------------------------------

Getter Method

Signature LocalBaseFace

Returns:
Return type:NXOpen.Face

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature LocalBaseFace

Parameters:localBaseFace (NXOpen.Face) –

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

LocalRegionFaces

ConvertToSheetmetalBuilder.LocalRegionFaces

Returns the faces for local convert

-------------------------------------

Getter Method

Signature LocalRegionFaces

Returns:
Return type:NXOpen.ScCollector

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

MaintainZeroBendRadius

ConvertToSheetmetalBuilder.MaintainZeroBendRadius

Returns or sets the option for Maintain zero bend radius.

If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.

-------------------------------------

Getter Method

Signature MaintainZeroBendRadius

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature MaintainZeroBendRadius

Parameters:maintainZeroBendRadius (bool) –

New in version NX8.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

RipSection

ConvertToSheetmetalBuilder.RipSection

Returns or sets the section containing curves that need to be ripped while converting to sheetmetal.

-------------------------------------

Getter Method

Signature RipSection

Returns:
Return type:NXOpen.Section

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

-------------------------------------

Setter Method

Signature RipSection

Parameters:section (NXOpen.Section) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

Sketch

ConvertToSheetmetalBuilder.Sketch

Returns or sets the internal sketch (used to specify rip curves), if it exists.

-------------------------------------

Getter Method

Signature Sketch

Returns:
Return type:NXOpen.Features.SketchFeature

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

-------------------------------------

Setter Method

Signature Sketch

Parameters:sketch (NXOpen.Features.SketchFeature) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

Method Detail

CreateConvertInputListItem

ConvertToSheetmetalBuilder.CreateConvertInputListItem

Create a corner list item.

Signature CreateConvertInputListItem()

Returns:
Return type:NXOpen.Features.SheetMetal.ConvertInputListItemBuilder

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

GetRipEdges

ConvertToSheetmetalBuilder.GetRipEdges

Gets the array of edges selected for ripping while converting to sheetmetal.

Signature GetRipEdges()

Returns:
Return type:list of NXOpen.Edge

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

SetBendReliefDepth

ConvertToSheetmetalBuilder.SetBendReliefDepth

Signature SetBendReliefDepth(bendReliefDepth)

Parameters:bendReliefDepth (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use Expression.RightHandSide() on the Expression object returned from Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefDepth() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

SetBendReliefWidth

ConvertToSheetmetalBuilder.SetBendReliefWidth

Signature SetBendReliefWidth(bendReliefWidth)

Parameters:bendReliefWidth (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use Expression.RightHandSide() on the Expression object returned from Features.SheetMetal.ConvertToSheetmetalBuilder.BendReliefWidth() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

SetRipEdges

ConvertToSheetmetalBuilder.SetRipEdges

Sets the array of edges that need to be ripped while converting to sheetmetal.

Signature SetRipEdges(ripEdges)

Parameters:ripEdges (list of NXOpen.Edge) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)

Validate

ConvertToSheetmetalBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.

ValidateBuilderData

ConvertToSheetmetalBuilder.ValidateBuilderData

Verify that the builder data is valid for feature creation.

If the builder data is valid, it returns a value of 0.

Signature ValidateBuilderData()

Returns:data validity flag (0 - valid, 1 - invalid)
Return type:int

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”) OR nx_ship_detail (“Ship Detail Design”)